/images/avatar.jpg

Bug ssh sur les nouvelles séries de raspberry lorsque le câble HDMI n'est pas branché

Voilà plusieurs semaines que je me casse les dents sur l’installation de la distribution Archlinux sur un raspberry pi 0. J’ai cru avoir un modèle défectueux et ayant besoin d’un autre modèle, j’ai repassé commande mais rien n’y a fait. J’ai eu le même problème avec la nouvelle machine. Du coup, j’ai testé la totalité de mon installation, du câble RJ45 jusqu’au routeur pensant à une incompatibilité matériel. Nada !

Refonte du site internet

Ravalement de façade Je ne suis pas quelqu’un qui publie beaucoup d’articles. Dans les faits, je suis impulsionnel, je publie beaucoup d’articles et puis plus rien … jusqu’à la prochaine fois. J’ai décidé de faire un ravalement de façade du site car l’ancienne version était brouillon et me plaisait de moins en moins. Il y en avait absolument de partout et je déteste ça ! Du coup, j’ai pris un thème existant pour me faciliter la vie et j’ai séparé les éléments comme suit:

Traduction profilage et optimisation en Go

Je vous propose une traduction de cette page où il est question de profilage et d’optimisation du code Go. Présentation faite par Brad Fitzpatrick YAPC::Asia 2015 Tokyo Big Sight, 2015-08-22 Voir le diaporama d’introduction Regarder la vidéo de cette présentation Les exigences Si vous le faites de chez vous, vous aurez besoin des éléments suivants: Go (1.4.2 ou 1.5+ recommandé) Graphviz (http://www.graphviz.org/) Linux (idéal), Windows ou OS X (il vous faudra http://godoc.

Bug dans kivy et paramiko

Explications Avec la mise à jour d’openssh, un bug est apparu avec l’utilisation de paramiko. Jusqu’à la version 1.15, paramiko et openssh n’étaient plus capable de s’accorder pour échanger les données. La version 1.15.1 corrige le souci sauf que tel quel, sous android, kivy utilise par défaut la version 1.10. Pour forcer l’utilisation de la v1.15.1, il faut mettre dans le fichier buildozer.spec : 1 requirements = kivy, paramiko==1.15.1 On compile, on envoie sur android et là … l’application plante.

Faire un paquetage en python

Autant le dire tout de suite, ça parait simple, ça l’est mais quand vous cherchez ou demandez personne ne fait pareil. Du coup, la première fois c’est une galère totale. Voici l’arborescence d’un de mes programmes : 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 . ├── AUTHORS ├── cfg │ ├── imagesat_example.conf │ └── imagesat.service ├── CHANGELOG ├── imagesat ├── Imagesat │ ├── download.